import type { Commitment, PublicKey } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { AuctionHouse } from '../models/AuctionHouse';
declare const Key: "FindAuctionHouseByCreatorAndMintOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const findAuctionHouseByCreatorAndMintOperation: import("@/types").OperationConstructor<FindAuctionHouseByCreatorAndMintOperation, "FindAuctionHouseByCreatorAndMintOperation", FindAuctionHouseByCreatorAndMintInput, Readonly<{
    model: "auctionHouse";
    address: import("@/types").Pda;
    creatorAddress: PublicKey;
    authorityAddress: PublicKey;
    treasuryMint: import("../..").Mint;
    feeAccountAddress: import("@/types").Pda;
    treasuryAccountAddress: import("@/types").Pda;
    feeWithdrawalDestinationAddress: PublicKey;
    treasuryWithdrawalDestinationAddress: PublicKey;
    sellerFeeBasisPoints: number;
    requiresSignOff: boolean;
    canChangeSalePrice: boolean;
    isNative: boolean;
} & {
    hasAuctioneer: false;
}> | Readonly<{
    model: "auctionHouse";
    address: import("@/types").Pda;
    creatorAddress: PublicKey;
    authorityAddress: PublicKey;
    treasuryMint: import("../..").Mint;
    feeAccountAddress: import("@/types").Pda;
    treasuryAccountAddress: import("@/types").Pda;
    feeWithdrawalDestinationAddress: PublicKey;
    treasuryWithdrawalDestinationAddress: PublicKey;
    sellerFeeBasisPoints: number;
    requiresSignOff: boolean;
    canChangeSalePrice: boolean;
    isNative: boolean;
} & {
    hasAuctioneer: true;
    auctioneer: {
        address: PublicKey;
        authority: PublicKey;
        scopes: import("@safecoin/lpl-auction-house").AuthorityScope[];
    };
}>>;
/**
 * @group Operations
 * @category Types
 */
export type FindAuctionHouseByCreatorAndMintOperation = Operation<typeof Key, FindAuctionHouseByCreatorAndMintInput, AuctionHouse>;
/**
 * @group Operations
 * @category Inputs
 */
export type FindAuctionHouseByCreatorAndMintInput = {
    creator: PublicKey;
    treasuryMint: PublicKey;
    auctioneerAuthority?: PublicKey;
    /** The level of commitment desired when querying the blockchain. */
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Handlers
 */
export declare const findAuctionHouseByCreatorAndMintOperationHandler: OperationHandler<FindAuctionHouseByCreatorAndMintOperation>;
export {};
