import { Commitment, PublicKey } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { AuctionHouse, Bid, LazyBid } from '../models';
declare const Key: "FindBidsByPublicKeyOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const findBidsByPublicKeyFieldOperation: import("@/types").OperationConstructor<FindBidsByPublicKeyFieldOperation, "FindBidsByPublicKeyOperation", FindBidsByPublicKeyFieldInput, FindBidsByPublicKeyFieldOutput>;
/**
 * @group Operations
 * @category Types
 */
export type FindBidsByPublicKeyFieldOperation = Operation<typeof Key, FindBidsByPublicKeyFieldInput, FindBidsByPublicKeyFieldOutput>;
/**
 * @group Operations
 * @category Inputs
 */
export type FindBidsByPublicKeyFieldInput = {
    type: 'buyer' | 'metadata' | 'mint';
    auctionHouse: AuctionHouse;
    publicKey: PublicKey;
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Outputs
 */
export type FindBidsByPublicKeyFieldOutput = (LazyBid | Bid)[];
/**
 * @group Operations
 * @category Handlers
 */
export declare const findBidsByPublicKeyFieldOperationHandler: OperationHandler<FindBidsByPublicKeyFieldOperation>;
export {};
