import { Commitment, PublicKey } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { AuctionHouse, LazyListing, Listing } from '../models';
declare const Key: "FindListingsByPublicKeyOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const findListingsByPublicKeyFieldOperation: import("@/types").OperationConstructor<FindListingsByPublicKeyFieldOperation, "FindListingsByPublicKeyOperation", FindListingsByPublicKeyFieldInput, FindListingsByPublicKeyFieldOutput>;
/**
 * @group Operations
 * @category Types
 */
export type FindListingsByPublicKeyFieldOperation = Operation<typeof Key, FindListingsByPublicKeyFieldInput, FindListingsByPublicKeyFieldOutput>;
/**
 * @group Operations
 * @category Inputs
 */
export type FindListingsByPublicKeyFieldInput = {
    type: 'seller' | 'metadata' | 'mint';
    auctionHouse: AuctionHouse;
    publicKey: PublicKey;
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Outputs
 */
export type FindListingsByPublicKeyFieldOutput = (Listing | LazyListing)[];
/**
 * @group Operations
 * @category Handlers
 */
export declare const findListingsByPublicKeyFieldOperationHandler: OperationHandler<FindListingsByPublicKeyFieldOperation>;
export {};
