import type { Commitment, PublicKey } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { AuctionHouse, Purchase } from '../models';
declare const Key: "FindPurchaseByReceiptOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const findPurchaseByReceiptOperation: import("@/types").OperationConstructor<FindPurchaseByReceiptOperation, "FindPurchaseByReceiptOperation", FindPurchaseByReceiptInput, Readonly<{
    model: "purchase";
    lazy: false;
    /**
     * @group Operations
     * @category Constructors
     */
    auctionHouse: AuctionHouse;
    asset: import("../..").SftWithToken | import("../..").NftWithToken;
    buyerAddress: PublicKey;
    sellerAddress: PublicKey;
    /**
     * @group Operations
     * @category Types
     */
    bookkeeperAddress: import("@/utils").Option<PublicKey>;
    receiptAddress: import("@/utils").Option<PublicKey>;
    price: import("@/types").SplTokenAmount | import("@/types").SolAmount;
    tokens: import("@/types").SplTokenAmount;
    createdAt: import("@/types").DateTime;
}>>;
/**
 * @group Operations
 * @category Types
 */
export type FindPurchaseByReceiptOperation = Operation<typeof Key, FindPurchaseByReceiptInput, Purchase>;
/**
 * @group Operations
 * @category Inputs
 */
export type FindPurchaseByReceiptInput = {
    receiptAddress: PublicKey;
    auctionHouse: AuctionHouse;
    loadJsonMetadata?: boolean;
    /** The level of commitment desired when querying the blockchain. */
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Handlers
 */
export declare const findPurchaseByReceiptOperationHandler: OperationHandler<FindPurchaseByReceiptOperation>;
export {};
