import type { Commitment, PublicKey } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { AuctionHouse, Purchase } from '../models';
declare const Key: "FindPurchaseByTradeStateOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const findPurchaseByTradeStateOperation: import("@/types").OperationConstructor<FindPurchaseByTradeStateOperation, "FindPurchaseByTradeStateOperation", FindPurchaseByTradeStateInput, Readonly<{
    model: "purchase";
    lazy: false;
    auctionHouse: AuctionHouse;
    asset: import("../..").SftWithToken | import("../..").NftWithToken;
    buyerAddress: PublicKey;
    sellerAddress: PublicKey;
    bookkeeperAddress: import("@/utils").Option<PublicKey>;
    receiptAddress: import("@/utils").Option<PublicKey>;
    price: import("@/types").SplTokenAmount | import("@/types").SolAmount;
    tokens: import("@/types").SplTokenAmount;
    createdAt: import("@/types").DateTime;
}>>;
/**
 * @group Operations
 * @category Types
 */
export type FindPurchaseByTradeStateOperation = Operation<typeof Key, FindPurchaseByTradeStateInput, Purchase>;
/**
 * @group Operations
 * @category Inputs
 */
export type FindPurchaseByTradeStateInput = {
    sellerTradeState: PublicKey;
    buyerTradeState: PublicKey;
    auctionHouse: AuctionHouse;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Handlers
 */
export declare const findPurchaseByTradeStateOperationHandler: OperationHandler<FindPurchaseByTradeStateOperation>;
export {};
