import { Commitment, PublicKey } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { AuctionHouse, Purchase, LazyPurchase } from '../models';
declare const Key: "FindPurchasesByPublicKeyOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const findPurchasesByPublicKeyFieldOperation: import("@/types").OperationConstructor<FindPurchasesByPublicKeyFieldOperation, "FindPurchasesByPublicKeyOperation", FindPurchasesByPublicKeyFieldInput, FindPurchasesByPublicKeyFieldOutput>;
/**
 * @group Operations
 * @category Types
 */
export type FindPurchasesByPublicKeyFieldOperation = Operation<typeof Key, FindPurchasesByPublicKeyFieldInput, FindPurchasesByPublicKeyFieldOutput>;
/**
 * @group Operations
 * @category Inputs
 */
export type FindPurchasesByPublicKeyFieldInput = {
    type: 'buyer' | 'seller' | 'metadata' | 'mint';
    auctionHouse: AuctionHouse;
    publicKey: PublicKey;
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Outputs
 */
export type FindPurchasesByPublicKeyFieldOutput = (Purchase | LazyPurchase)[];
/**
 * @group Operations
 * @category Handlers
 */
export declare const findPurchasesByPublicKeyFieldOperationHandler: OperationHandler<FindPurchasesByPublicKeyFieldOperation>;
export {};
