import type { Commitment } from '@safecoin/web3.js';
import { Operation, OperationHandler } from '@/types';
import { Purchase, LazyPurchase } from '../models/Purchase';
declare const Key: "LoadPurchaseOperation";
/**
 * @group Operations
 * @category Constructors
 */
export declare const loadPurchaseOperation: import("@/types").OperationConstructor<LoadPurchaseOperation, "LoadPurchaseOperation", LoadPurchaseInput, Readonly<{
    model: "purchase"; /**
     * @group Operations
     * @category Constructors
     */
    lazy: false;
    auctionHouse: import("..").AuctionHouse;
    asset: import("../../nftModule").SftWithToken | import("../../nftModule").NftWithToken;
    buyerAddress: import("@safecoin/web3.js").PublicKey;
    sellerAddress: import("@safecoin/web3.js").PublicKey;
    bookkeeperAddress: import("@/utils").Option<import("@safecoin/web3.js").PublicKey>;
    receiptAddress: import("@/utils").Option<import("@safecoin/web3.js").PublicKey>;
    price: import("@/types").SplTokenAmount | import("@/types").SolAmount;
    tokens: import("@/types").SplTokenAmount;
    createdAt: import("@/types").DateTime;
}>>;
/**
 * @group Operations
 * @category Types
 */
export type LoadPurchaseOperation = Operation<typeof Key, LoadPurchaseInput, Purchase>;
/**
 * @group Operations
 * @category Inputs
 */
export type LoadPurchaseInput = {
    lazyPurchase: LazyPurchase;
    loadJsonMetadata?: boolean;
    /** The level of commitment desired when querying the blockchain. */
    commitment?: Commitment;
};
/**
 * @group Operations
 * @category Handlers
 */
export declare const loadPurchaseOperationHandler: OperationHandler<LoadPurchaseOperation>;
export {};
